## gfxboot 4.5.2-1.1

=== debian/changelog ===
gfxboot (4.5.2-1.1-6) unstable; urgency=medium

  * QA Upload.
  * Add e2fsprogs to Recommends, also add reiserfsprogs and xfsprogs to
    Suggests. (Closes: #887243)
  * Add debian/watch pointing to https://github.com/OpenSUSE/gfxboot
  * Do dbgsym migration and drop gfxboot-dbg package.
  * Switch from deprecated Priority: extra to optional.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Mar 2018 17:08:15 +0100

gfxboot (4.5.2-1.1-5) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:58:42 +0200

gfxboot (4.5.2-1.1-4) unstable; urgency=low

  * Copying with dereferencing of symlinks in order to make builds more
    robust when symlinks are used in the build tree.
  * Copying with dereferencing when install the themes into the packages
    (Closes: #752231).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 24 Jun 2014 16:43:39 +0200

gfxboot (4.5.2-1.1-3) unstable; urgency=low

  * Adding conflicts/replaces for gfxboot-examples to gfxboot-dev.
  * Updating dejavu recommends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Apr 2014 22:08:11 +0200

gfxboot (4.5.2-1.1-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:52:21 +0200

gfxboot (4.5.2-1.1-1) experimental; urgency=low

  * Merging upstream version 4.5.2-1.1.
  * Dropping freetype.patch, included upstream.
  * Updating year in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Feb 2014 16:45:50 +0100

gfxboot (4.5.1-3.11-5) experimental; urgency=low

  * Merging themes into gfxboot-themes package.
  * Adding debug package.
  * Merging gfxboot-examples into gfxboot-dev.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:34:36 +0100

gfxboot (4.5.1-3.11-4) experimental; urgency=low

  * Refreshing ttf-dejavue.patch.
  * Refreshing adddir.patch.
  * Refreshing freetype.patch.
  * Updating year in copyright file for 2014.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:33:35 +0100

gfxboot (4.5.1-3.11-3) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Updating to standards version 3.9.5.
  * Making gfxboot no longer build-depend on itself to compile examples and
    themes.
  * Adding patch to update location of freetype headers (Closes: #733384).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 28 Dec 2013 20:20:31 +0100

gfxboot (4.5.1-3.11-2) experimental; urgency=low

  * Adding link to gitorious to source entry in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 10:18:13 +0200

gfxboot (4.5.1-3.11-1) experimental; urgency=low

  * Merging upstream version 4.5.1-3.11.
  * Merging gfxboot-examples packaging into src:gfxboot.
  * Updating years in copyright file.
  * Using four digits prefix in patch filenames.
  * Trimming diff header in patches.
  * Dropping dpkg-source compression levels.
  * Sorting targets in rules alphabetically.
  * Moving examples build-tree into subdirectory within local build
    directory.
  * Merging gfxboot-themes packaging into src:gfxboot.
  * Temporarily adding gfxboot-dev to build-depends for building examples
    and themes until build has been reworked to use local gfxboot of the
    build itself.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 07:47:48 +0200

=== debian/control ===
Source: gfxboot
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 cpio,
 nasm,
 libfreetype6-dev,
 libhtml-parser-perl,
 w3m,
 xmlto,
Standards-Version: 3.9.5
Homepage: http://gfxboot.sourceforge.net/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/gfxboot.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/gfxboot.git

Package: gfxboot
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: e2fsprogs
Suggests: gfxboot-themes, reiserfsprogs, xfsprogs
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gfxboot (= ${binary:Version}),
 cpio,
 libfribidi0,
 libhtml-parser-perl,
Recommends: fonts-dejavu-core | ttf-dejavu-core
Suggests: gfxboot-themes
Conflicts: gfxboot-examples
Replaces: gfxboot-examples
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.

Package: gfxboot-themes
Architecture: all
Depends:
 ${misc:Depends},
 gfxboot (>= ${source:Version}),
Recommends: gfxboot-dev
Conflicts:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Replaces:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (themes)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains full featured themes (KDE, openSUSE, SLED, SLES, and
 upstream).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHELL := sh -e

GFXBOOT_PATH = $(CURDIR)

%:
	dh ${@} --parallel

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"

	$(MAKE) -C doc doc

	# gfxboot-dev
	mkdir -p build/examples
	cp -aL themes/example* build/examples

	for _THEME in $$(cd build/examples && ls); \
	do \
		PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/examples/$${_THEME}; \
	done

	# gfxboot-themes
	mkdir -p build
	cp -aL themes build/themes
	rm -rf build/themes/example*

	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE/help-install
	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE

	for _THEME in $$(cd build/themes && ls); \
	do \
		if [ "$${_THEME}" != "openSUSE" ]; \
		then \
			PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/$${_THEME}; \
		fi; \
	done

override_dh_auto_clean:
	dh_auto_clean

	$(MAKE) -C doc clean

	rm -rf build

override_dh_auto_install:
	dh_auto_install

	install -D -m 0644 doc/gfxboot.8 debian/gfxboot/usr/share/man/man1/gfxboot.1

	# Correcting program location
	mv debian/tmp/usr/sbin debian/tmp/usr/bin
	sed -i -e 's|^.TH GFXBOOT 8|.TH GFXBOOT 1|' debian/gfxboot/usr/share/man/man1/gfxboot.1

	# Removing useless files
	rm -rf debian/tmp/etc

	# gfxboot-dev
	for _THEME in $$(cd build/examples && ls); \
	do \
		install -D -m 0644 build/examples/$${_THEME}/bootlogo debian/gfxboot-dev/etc/bootsplash/$${_THEME}/cdrom/bootlogo; \
		$(GFXBOOT_PATH)/bin/unpack_bootlogo debian/gfxboot-dev/etc/bootsplash/$${_THEME}/cdrom; \
		mkdir -p debian/gfxboot-dev/usr/share/gfxboot/themes/$${_THEME}; \
		cp -aL themes/$${_THEME}/* debian/gfxboot-dev/usr/share/gfxboot/themes/$${_THEME}; \
	done

	# gfxboot-themes
	mkdir -p debian/gfxboot-themes/usr/share/gfxboot/themes

	for _THEME in $$(cd build/themes && ls); \
	do \
		cp -aL build/themes/$${_THEME} debian/gfxboot-themes/usr/share/gfxboot/themes; \
		cp -aL themes/openSUSE/Makefile debian/gfxboot-themes/usr/share/gfxboot/themes/$${_THEME}/Makefile; \
		rm -f debian/gfxboot-themes/usr/share/gfxboot/themes/$${_THEME}/Makefile; \
		install -D -m 0644 build/themes/$${_THEME}/bootlogo debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/cdrom/bootlogo; \
		$(GFXBOOT_PATH)/bin/unpack_bootlogo debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/cdrom; \
		mkdir -p debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/bootloader; \
		cp -aL build/themes/$${_THEME}/message build/themes/$${_THEME}/help-boot/*.hlp build/themes/$${_THEME}/po/*.tr debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/bootloader; \
	done

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_fixperms:
	dh_fixperms

	find . debian -name "*.xcf" | xargs chmod 0644

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='gfxboot-dbg (<< 4.5.2-1.1-6~)'

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gfxboot-$1\.tar\.gz/ \
  https://github.com/OpenSUSE/gfxboot/tags .*/v?(\d\S+)\.tar\.gz

## gfxboot 4.5.73

=== Makefile ===
CC	 = gcc
CFLAGS	 = -g -Wall -Wno-pointer-sign -O2 -fomit-frame-pointer

GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
BRANCH  := $(shell git branch | perl -ne 'print $$_ if s/^\*\s*//')
PREFIX  := gfxboot-$(VERSION)

# THEMES	 = $(wildcard themes/*)
THEMES	 = themes/upstream themes/openSUSE themes/SLES themes/SLED themes/KDE

.PHONY: all clean distclean doc install installsrc themes

all:	changelog bin2c gfxboot-compile bincode gfxboot-font addblack

changelog: $(GITDEPS)
	$(GIT2LOG) --changelog changelog

gfxboot-font: gfxboot-font.c
	$(CC) $(CFLAGS) -I /usr/include/freetype2 -lfreetype $< -o $@

gfxboot-compile: gfxboot-compile.c vocabulary.h bincode.h
	$(CC) $(CFLAGS) $< -o $@

addblack: addblack.c
	$(CC) $(CFLAGS) $< -o $@

bincode.o:  bincode.asm vocabulary.inc modplay_defines.inc modplay.inc kroete.inc
	bin/trace_context bincode.asm
	nasm -f elf -O99 -o $@ -l bincode.lst $<

bincode: bincode.o jpeg.o
	ld -m elf_i386 --section-start .text=0 --oformat binary -Map bincode.map -o $@ $^

bincode.h:  bincode bin2c
	./bin2c bincode >bincode.h

bin2c: bin2c.c
	$(CC) $(CFLAGS) $< -o $@

vocabulary.inc: mk_vocabulary
	./mk_vocabulary -a >$@

vocabulary.h: mk_vocabulary
	./mk_vocabulary -c >$@

jpeg.o: jpeg.S
	as --32 -ahlsn=jpeg.lst -o $@ $<

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin
	perl -p -e 's/<VERSION>/$(VERSION)/' gfxboot >gfxboot~
	install -m 755 gfxboot~ $(DESTDIR)/usr/sbin/gfxboot
	install -m 755 gfxtest $(DESTDIR)/usr/sbin
	install -m 755 gfxboot-compile gfxboot-font $(DESTDIR)/usr/sbin
	@for i in $(THEMES) ; do \
	  install -d -m 755 $(DESTDIR)/etc/bootsplash/$$i/{bootloader,cdrom} ; \
	  cp $$i/bootlogo $(DESTDIR)/etc/bootsplash/$$i/cdrom ; \
	  bin/unpack_bootlogo $(DESTDIR)/etc/bootsplash/$$i/cdrom ; \
          install -m 644 $$i/{message,po/*.tr,help-boot/*.hlp} $(DESTDIR)/etc/bootsplash/$$i/bootloader ; \
	  bin/2hl --link --quiet $(DESTDIR)/etc/bootsplash/$$i/* ; \
	done

installsrc:
	install -d -m 755 $(DESTDIR)/usr/share/gfxboot/themes
	@for i in $(THEMES) ; do \
	  cp -a $$i $(DESTDIR)/usr/share/gfxboot/themes ; \
	done
	cp -a themes/example* $(DESTDIR)/usr/share/gfxboot/themes
	cp -a bin test $(DESTDIR)/usr/share/gfxboot

archive: changelog
	mkdir -p package
	git archive --prefix=$(PREFIX)/ $(BRANCH) | tar --no-wildcards-match-slash --wildcards --delete 'gfxboot-*/themes' > package/$(PREFIX).tar
	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog
	xz -f package/$(PREFIX).tar
	for i in $(THEMES) ; do \
	  git archive $(BRANCH) $$i | xz > package/$${i#*/}.tar.xz || break ; \
	done
	git archive $(BRANCH) themes/example* | xz > package/examples.tar.xz

clean: themes doc
	@rm -f gfxboot-compile bincode gfxboot-font addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~
	@rm -rf tmp package

distclean: clean
	@for i in themes/example* ; do make -C $$i clean || break ; done

themes:
	@for i in $(THEMES) ; do make -C $$i $(MAKECMDGOALS) || break ; done

doc:
	make -C doc $(MAKECMDGOALS)

=== jpg/Makefile ===
all: z2 jpeg.S

z2: z2.c jpg.o
	gcc -O2 -Wall z2.c jpg.o -o z2

jpg.o: jpg.c
	gcc -O2 -Wall -c jpg.c

jpeg.S jpeg.inc: jpg.c
	gcc -fomit-frame-pointer -S -Os -Wall -c jpg.c
	./conv1 jpg.s >jpeg1.s
	./conv2 -o jpeg2.s jpeg1.s
	./conv3 jpeg2.s >jpeg.S 2>jpeg.inc

clean:
	rm -f *~ *.o *.i *.s *.S *.inc *.pnm z2

=== themes/example_01/Makefile ===
BINDIR := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
GFXBOOT_COMPILE = $(BINDIR)gfxboot-compile
GFXBOOT_FONT = $(BINDIR)gfxboot-font
GFXBOOT = $(BINDIR)gfxboot
BFLAGS = -O -v -L ../..

.PHONY: all themes clean distclean

all: bootlogo

bootlogo: example_*.bc
	@rm -rf $@.dir
	@mkdir $@.dir
	$(GFXBOOT_COMPILE) $(BFLAGS) -l $@.log -c $< $@.dir/init
	$(GFXBOOT) --archive $@.dir --pack-archive $@

clean:
	rm -rf *~ *.log *.dir bootlogo

distclean: clean

=== themes/test1/Makefile ===
BINDIR   := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
MKBOOTMSG = $(BINDIR)mkbootmsg
BFLAGS    = -O -v -L ../..

ifneq ($(BINDIR),)
  BM_TARGET := $(MKBOOTMSG)
endif

.PHONY: all themes clean distclean

all: themes

themes: bootlogo

bootlogo: test.ps $(BM_TARGET)
	$(MKBOOTMSG) $(BFLAGS) -l log -c $< init
	echo -e "init\njaguar.pcx" | cpio -o >bootlogo

clean:
	rm -f *~ log init bootlogo

distclean: clean

=== themes/test2/Makefile ===
BINDIR   := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
MKBOOTMSG = $(BINDIR)mkbootmsg
BFLAGS    = -O -v -L ../..

ifneq ($(BINDIR),)
  BM_TARGET := $(MKBOOTMSG)
endif

.PHONY: all themes clean distclean

all: themes

themes: bootlogo

bootlogo: test.ps $(BM_TARGET)
	$(MKBOOTMSG) $(BFLAGS) -l log -c $< init
	echo -e "init\ntest.jpg\ntest.pcx\n16x16.fnt" | cpio -o >bootlogo

clean:
	rm -f *~ log init bootlogo

distclean: clean

=== themes/openSUSE/po/Makefile ===
POFILES	= $(wildcard *.po)
TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))

PRODUCT = $(shell perl -ne 'print if s/^product=//' ../config)

all: .ready

.ready: text.inc $(TEXTS)
	@touch .ready

%.tr: %.po text.inc
	bin/po2txt --product='$(PRODUCT)' $< >$@

# en.tr uses msgids from bootloader.pot
en.tr text.inc: bootloader.pot
	bin/po2txt --product='$(PRODUCT)' $< >en.tr

clean:
	rm -f .ready text.inc *.tr *~ talk/*~

=== debian/changelog ===
gfxboot (4.5.73-2) unstable; urgency=medium

  * QA upload.
  * themes/example*/Makefile: Use the .bc files as a reference date.
    (Closes: #978946)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 04 Jan 2021 10:14:56 -0800

gfxboot (4.5.73-1) unstable; urgency=medium

  * QA upload.
  * Update to new upstream version 4.5.73. (Closes: #783398)
  * gfxboot: pass --reproducible and --owner to cpio. (Closes: #978946)
  * gfxboot: avoid including the "." directory in the cpio archive.
    (Closes: #978946)
  * themes/example*/Makefile: Set time on files in example themes using
    Makefile as a reference time.  (Closes: #978946)
  * debian/rules: Pass C.UTF-8 locale when building documentation.
    (Closes: #979125)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Create a VERSION file since upstream expects it.
  * debian/rules: Do not build test themes.
  * debian/control: Update Vcs headers.
  * debian/copyright: Use https URLs and drop broken link
  * debian/control: Update Homepage.
  * debian/source/options, debian/rules: Drop custom compression.
  * Update to debhelper-compat 13.
  * debian/rules: Remove obsolete dh_install override.
  * debian/rules: Do not pass --parallel to dh as it is now the default.
  * debian/rules: Add target to update upstream changelog.
  * changelog.upstream: Add changelog for upstream version 4.5.73.
  * debian/rules: Copy upstream changelog during build.
  * gfxboot-themes: Add lintian override for
    package-contains-documentation-outside-usr-share-doc.
  * debian/control: Update Standards-Version to 4.5.1.
  * debian/control: Add ${perl:Depends} to Depends.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 03 Jan 2021 18:04:09 -0800

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  cpio,
  nasm,
  libfreetype6-dev,
  libhtml-parser-perl,
  w3m,
  xmlto,
-Standards-Version: 3.9.5
-Homepage: http://gfxboot.sourceforge.net/
-Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/gfxboot.git
-Vcs-Git: git://daniel-baumann.ch/git/debian/packages/gfxboot.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://en.opensuse.org/SDB:Gfxboot
+Vcs-Browser: https://browse.dgit.debian.org/gfxboot.git/
+Vcs-Git: https://git.dgit.debian.org/gfxboot.git
 
 Package: gfxboot
 Architecture: any-amd64 any-i386
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  ${shlibs:Depends},
 Recommends: e2fsprogs
 Suggests: gfxboot-themes, reiserfsprogs, xfsprogs
@@ -32,6 +34,7 @@
 Architecture: any-amd64 any-i386
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  ${shlibs:Depends},
  gfxboot (= ${binary:Version}),
  cpio,
@@ -51,6 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  gfxboot (>= ${source:Version}),
 Recommends: gfxboot-dev
 Conflicts:

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SHELL := sh -e
@@ -7,12 +8,25 @@
 GFXBOOT_PATH = $(CURDIR)
 
 %:
-	dh ${@} --parallel
+	dh $@
 
-override_dh_auto_build:
+VERSION:
+	echo $(DEB_VERSION_UPSTREAM) > VERSION
+
+changelog:
+	cp changelog.upstream changelog
+
+update-upstream-changelog:
+	# Needs to be run manually upon new upstream versions
+	git checkout -b upstream-tmp-$(DEB_VERSION_UPSTREAM) $(DEB_VERSION_UPSTREAM) && ./git2log --changelog changelog
+	git checkout dgit/sid
+	git branch -d upstream-tmp-$(DEB_VERSION_UPSTREAM)
+	cp changelog changelog.upstream
+
+override_dh_auto_build: VERSION changelog
 	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 
-	$(MAKE) -C doc doc
+	LC_ALL=C.UTF-8 $(MAKE) -C doc doc
 
 	# gfxboot-dev
 	mkdir -p build/examples
@@ -26,7 +40,7 @@
 	# gfxboot-themes
 	mkdir -p build
 	cp -aL themes build/themes
-	rm -rf build/themes/example*
+	rm -rf build/themes/example* build/themes/test*
 
 	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE/help-install
 	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE
@@ -45,6 +59,7 @@
 	$(MAKE) -C doc clean
 
 	rm -rf build
+	rm -f VERSION changelog
 
 override_dh_auto_install:
 	dh_auto_install
@@ -81,16 +96,10 @@
 		cp -aL build/themes/$${_THEME}/message build/themes/$${_THEME}/help-boot/*.hlp build/themes/$${_THEME}/po/*.tr debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/bootloader; \
 	done
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_fixperms:
 	dh_fixperms
 
 	find . debian -name "*.xcf" | xargs chmod 0644
 
-override_dh_install:
-	dh_install --fail-missing
-
 override_dh_strip:
 	dh_strip --dbgsym-migration='gfxboot-dbg (<< 4.5.2-1.1-6~)'

## gfxboot 4.5.103

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,7 @@
 
 .PHONY: all clean distclean doc install installsrc themes
 
-all:	changelog bin2c gfxboot-compile bincode gfxboot-font addblack
-
-changelog: $(GITDEPS)
-	$(GIT2LOG) --changelog changelog
+all:	bin2c gfxboot-compile bincode gfxboot-font addblack
 
 gfxboot-font: gfxboot-font.c
 	$(CC) $(CFLAGS) -I /usr/include/freetype2 -lfreetype $< -o $@
@@ -46,7 +43,7 @@
 	./mk_vocabulary -c >$@
 
 jpeg.o: jpeg.S
-	as --32 -ahlsn=jpeg.lst -o $@ $<
+	as --32 -mx86-used-note=no -ahlsn=jpeg.lst -o $@ $<
 
 install: all
 	install -d -m 755 $(DESTDIR)/usr/sbin
@@ -70,10 +67,10 @@
 	cp -a themes/example* $(DESTDIR)/usr/share/gfxboot/themes
 	cp -a bin test $(DESTDIR)/usr/share/gfxboot
 
-archive: changelog
+archive:
 	mkdir -p package
 	git archive --prefix=$(PREFIX)/ $(BRANCH) | tar --no-wildcards-match-slash --wildcards --delete 'gfxboot-*/themes' > package/$(PREFIX).tar
-	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog
+	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION
 	xz -f package/$(PREFIX).tar
 	for i in $(THEMES) ; do \
 	  git archive $(BRANCH) $$i | xz > package/$${i#*/}.tar.xz || break ; \
@@ -83,6 +80,7 @@
 clean: themes doc
 	@rm -f gfxboot-compile bincode gfxboot-font addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~
 	@rm -rf tmp package
+	@rm -f VERSION changelog
 
 distclean: clean
 	@for i in themes/example* ; do make -C $$i clean || break ; done

=== doc/Makefile ===
PROJECT	= gfxboot
XMLSRC	= gfxboot.xml reference.xml

all: html
doc: html txt

reference.xml: ../bincode.asm
	./mkdoc ../bincode.asm >reference.xml

txt: $(XMLSRC)
	xmlto txt $(PROJECT).xml

pdf: $(XMLSRC)
	db2pdf gfxboot.xml
	@rm -f *.aux *.log *.tex *.out

html: $(XMLSRC)
	xmlto html-nochunks $(PROJECT).xml

clean:
	rm -rf *~ *.pdf *.html gfxboot.txt reference.xml *.dsl *.local

distclean: clean

=== themes/example_02/Makefile ===
BINDIR := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
GFXBOOT_COMPILE = $(BINDIR)gfxboot-compile
GFXBOOT_FONT = $(BINDIR)gfxboot-font
GFXBOOT = $(BINDIR)gfxboot
BFLAGS = -O -v -L ../..

.PHONY: all themes clean distclean

all: bootlogo

bootlogo: example_*.bc font
	@rm -rf $@.dir
	@mkdir $@.dir
	$(GFXBOOT_COMPILE) $(BFLAGS) -l $@.log -c $< $@.dir/init
	@cp font.fnt $@.dir
	$(GFXBOOT) --archive $@.dir --pack-archive $@

font:
	$(GFXBOOT_FONT) -v -f DejaVuSans:size=20 font.fnt >font.log

clean:
	rm -rf *~ *.log *.dir bootlogo *.fnt

distclean: clean

=== themes/example_04/Makefile ===
BINDIR := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
GFXBOOT_COMPILE = $(BINDIR)gfxboot-compile
GFXBOOT_FONT = $(BINDIR)gfxboot-font
GFXBOOT = $(BINDIR)gfxboot
BFLAGS = -O -v -L ../..

.PHONY: all themes clean distclean

all: bootlogo

bootlogo: example_*.bc font
	@rm -rf $@.dir
	@mkdir $@.dir
	$(GFXBOOT_COMPILE) $(BFLAGS) -l $@.log -c $< $@.dir/init
	@cp clouds.jpg font.fnt $@.dir
	$(GFXBOOT) --archive $@.dir --pack-archive $@

font:
	$(GFXBOOT_FONT) -v -f DejaVuSans:size=32 font.fnt >font.log

clean:
	rm -rf *~ *.log *.dir bootlogo *.fnt

distclean: clean

=== themes/example_06/Makefile ===
BINDIR := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
GFXBOOT_COMPILE = $(BINDIR)gfxboot-compile
GFXBOOT_FONT = $(BINDIR)gfxboot-font
GFXBOOT = $(BINDIR)gfxboot
BFLAGS = -O -v -L ../..

# the files we need
FILES = clouds.jpg font.fnt

.PHONY: all themes clean distclean

all: bootlogo

bootlogo: example_*.bc font
	@rm -rf $@.dir
	@mkdir $@.dir
	$(GFXBOOT_COMPILE) $(BFLAGS) -l $@.log -c $< $@.dir/init
	@cp $(FILES) $@.dir
	$(GFXBOOT) --archive $@.dir --pack-archive $@
	@ln -snf bootlogo message

font:
	$(GFXBOOT_FONT) -v -f DejaVuSans:size=32 font.fnt >font.log

clean:
	rm -rf *~ *.log *.dir bootlogo message *.fnt

distclean: clean

=== themes/openSUSE/Makefile ===
BINDIR      := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )

BASED_ON     = $(shell perl -ne 'print if s/^based_on=//' config)

PRODUCT = $(shell perl -ne 'print if s/^product=//' config)

ifeq ($(BASED_ON),)
PREPARED     = 1
else
PREPARED     = $(shell [ -f .prepared ] && echo 1)
endif

ADDDIR       = ../../bin/adddir
BFLAGS       = -O -v -L ../..

SUBDIRS      = fonts help-boot help-install po src

THEME        = $(shell basename `pwd`)

DEFAULT_LANG =

.PHONY: all clean distclean themes $(SUBDIRS)

ifeq ($(PREPARED), 1)

  all: bootlogo message

else

  all:
	$(ADDDIR) ../$(BASED_ON) .
	make clean
	touch .prepared
	make

endif

themes: all

%/.ready: %
	make -C $*

src/main.bin: src
	make -C src

bootlogo: src/main.bin src/gfxboot.cfg help-install/.ready po/.ready fonts/.ready
	@rm -rf bootlogo.dir
	@mkdir bootlogo.dir
	perl -p -e 's/^(layout=.*)/$$1,install/' src/gfxboot.cfg >bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(product=).*/$$1$(PRODUCT)/' bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(mainmenu.title=).*/$$1$(PRODUCT)/' bootlogo.dir/gfxboot.cfg
	cp -rL data-install/* fonts/*.fnt po/*.tr bootlogo.dir
	cp -rL help-install/*.hlp bootlogo.dir
	cp src/main.bin bootlogo.dir/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >bootlogo.dir/lang
endif
	@sh -c 'cd bootlogo.dir; chmod +t * ; chmod -t init languages ; touch -r ../src/main.bc *'
	@sh -c 'cd bootlogo.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet --reproducible --owner=+0:+0 -o >../bootlogo'

message: src/main.bin src/gfxboot.cfg help-boot/.ready po/.ready fonts/.ready
	@rm -rf message.dir
	@mkdir message.dir
	perl -p -e 's/^(layout=.*)/$$1,boot/' src/gfxboot.cfg >message.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' message.dir/gfxboot.cfg
	cp -rL data-boot/* fonts/*.fnt message.dir
	cp -rL po/en.tr help-boot/en.hlp message.dir
	cp src/main.bin message.dir/init
ifdef DEFAULT_LANG
	cp -rL po/$(DEFAULT_LANG).tr help-boot/$(DEFAULT_LANG).hlp message.dir
	@echo $(DEFAULT_LANG) >message.dir/lang
	@echo $(DEFAULT_LANG) >>message.dir/languages
endif
	@sh -c 'cd message.dir; touch -r ../src/main.bc *'
	@sh -c 'cd message.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet --reproducible --owner=+0:+0 -o >../message'

clean:
	@for i in $(SUBDIRS) ; do [ ! -f $$i/Makefile ] ||  make -C $$i clean || break ; done
	rm -rf bootlogo bootlogo.dir message message.dir *~

distclean: clean
ifneq ($(BASED_ON),)
	rm -f .prepared
	rm -f `find -type l \! -wholename ./Makefile`
	rmdir `find -depth -type d \! -name . \! -name .svn \! -wholename './.svn/*' \! -wholename './*/.svn/*'` 2>/dev/null || true
endif

=== themes/test3/Makefile ===
BINDIR   := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
MKBOOTMSG = $(BINDIR)mkbootmsg
BFLAGS    = -O -v -L ../..

ifneq ($(BINDIR),)
  BM_TARGET := $(MKBOOTMSG)
endif

.PHONY: all themes clean distclean

all: themes

themes: bootlogo

bootlogo: test.ps $(BM_TARGET)
	$(MKBOOTMSG) $(BFLAGS) -l log -c $< init
	echo -e "init\nhead.jpg\nhead_a.pcx\nsky.jpg\n16x16.fnt" | cpio -o >bootlogo

clean:
	rm -f *~ log init bootlogo

distclean: clean

=== themes/test4/Makefile ===
BINDIR   := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
MKBOOTMSG = $(BINDIR)mkbootmsg
BFLAGS    = -O -v -L ../..

ifneq ($(BINDIR),)
  BM_TARGET := $(MKBOOTMSG)
endif

.PHONY: all prep themes clean distclean

all: themes

prep:

themes: bootlogo

bootlogo: test.ps normal.fnt $(BM_TARGET)
	$(MKBOOTMSG) $(BFLAGS) -l log -c $< init
	echo -e "init\ncat.jpg\nnormal.fnt" | cpio -o >bootlogo

normal.fnt:
	../../mkblfont -v -l 32 -f DejaVuSans:size=32 normal.fnt >normal.fnt.log

clean:
	rm -f *~ log init bootlogo normal.*

distclean: clean

=== themes/test5/Makefile ===
BINDIR   := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
MKBOOTMSG = $(BINDIR)gfxboot-compile
BFLAGS    = -O -v -L ../..

ifneq ($(BINDIR),)
  BM_TARGET := $(MKBOOTMSG)
endif

.PHONY: all prep themes clean distclean

all: themes

prep:

themes: bootlogo

bootlogo: test.ps 16x16.fnt $(BM_TARGET)
	$(MKBOOTMSG) $(BFLAGS) -l log -c $< init
	echo -e "init\nsky.jpg\n16x16.fnt" | cpio -o >bootlogo

16x16.fnt:
	../../gfxboot-font -v -l 24 -f DejaVuSans:size=20 16x16.fnt >16x16.fnt.log

clean:
	rm -f *~ log init bootlogo 16x16.*

distclean: clean

=== themes/test7/Makefile ===
BINDIR   := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )
MKBOOTMSG = $(BINDIR)gfxboot-compile
BFLAGS    = -O -v -L ../..

.PHONY: all themes clean distclean

all: bootlogo

bootlogo: test7
	@cp test7 bootlogo

test7: test7.gb
	@rm -rf $@.dir
	@mkdir $@.dir
	$(MKBOOTMSG) $(BFLAGS) -l $@.log -c $< $@.dir/init
	cp -r data/* $@.dir
	@sh -c 'cd $@.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet -o >../$@'

clean:
	rm -rf *~ *.log *.dir bootlogo test7

distclean: clean

=== themes/testx/Makefile ===
clean:

distclean:

=== themes/openSUSE/fonts/Makefile ===
BINDIR      := $(shell [ -x ../../../gfxboot-font ] && echo ../../../ )

GFXBOOT_FONT = $(BINDIR)gfxboot-font
KEYMAPCHARS  = $(BINDIR)bin/keymapchars

all: .ready

fonts: 16x16.fnt

.ready:
	@touch .ready

16x16.fnt: ../po/en.tr ../src/main.log
	cat ../po/*.tr ../help-*/*/*.html >tmp.txt
	$(GFXBOOT_FONT) -v -l 18 \
	-a 0x2022-0x2023 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) ../keymaps/keymap.*.inc` \
	-t tmp.txt \
	-t ../src/main.log \
	-t ../data-install/languages \
	-f NachlieliCLM-Light:size=14:c=0x590-0x5ff \
	-f NotoNaskhArabic-Regular:size=13:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=0 \
	-f Lohit-Devanagari:size=15:c=0x0901-0x0970:bold=0 \
	-f Lohit-Punjabi:size=14:c=0x0a01-0x0a74:bold=0:dy=0:autohint=1 \
	-f Lohit-Gujarati:size=15:c=0x0a81-0x0af1:dy=1:bold=0 \
	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=0 \
	-f lklug:size=17:c=0x0d82-0x0df4:bold=0:dy=1 \
	-f Loma:size=13:c=0x0e01-0x0e7f:bold=0:dy=0 \
	-f Loma:size=17:c=0x0e81-0x0eff:bold=0:dy=-2 \
	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
	-f DejaVuSans:size=14 \
	-f ipag:size=17:nobitmap=1:autohint=1 \
	-f uming:size=17:nobitmap=1:autohint=1 \
	-f gulim:size=17:nobitmap=1:autohint=1 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	rm -f .ready *~

=== debian/changelog ===
gfxboot (4.5.103-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Maintain package in Debian team on Salsa
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Build-Depends: libfreetype6-dev => libfreetype-dev
  * Fix permissions of *.po files
  * Fix lintian-overrides
  * Update lintian override info format in d/gfxboot-themes.lintian-overrides
  * Add debian/upstream/metadata
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2025 15:55:30 +0200

=== debian/control ===
Source: gfxboot
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: misc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cpio,
 nasm,
 libfreetype-dev,
 libhtml-parser-perl,
 w3m,
 xmlto,
Vcs-Browser: https://salsa.debian.org/debian/gfxboot
Vcs-Git: https://salsa.debian.org/debian/gfxboot.git
Homepage: https://en.opensuse.org/SDB:Gfxboot
Rules-Requires-Root: no

Package: gfxboot
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 e2fsprogs,
Suggests:
 gfxboot-themes,
 reiserfsprogs,
 xfsprogs,
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
 gfxboot (= ${binary:Version}),
 cpio,
 libfribidi0,
 libhtml-parser-perl,
Recommends:
 fonts-dejavu-core | ttf-dejavu-core,
Suggests:
 gfxboot-themes,
Conflicts:
 gfxboot-examples,
Replaces:
 gfxboot-examples,
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.

Package: gfxboot-themes
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 gfxboot (>= ${source:Version}),
Recommends:
 gfxboot-dev,
Conflicts:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Provides:
 gfxboot-theme,
Replaces:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Description: tool to test and create graphical boot logos (themes)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains full featured themes (KDE, openSUSE, SLED, SLES, and
 upstream).

=== debian/rules ===
--- 
+++ 
@@ -100,6 +100,7 @@
 	dh_fixperms
 
 	find . debian -name "*.xcf" | xargs chmod 0644
+	find . debian -name "*.po" | xargs chmod 0644
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gfxboot-dbg (<< 4.5.2-1.1-6~)'
